import request from '@/utils/request'

// 查询安全批文清单列表
export function listSafetyapproval(query) {
  return request({
    url: '/ehs/safetyapproval/list',
    method: 'get',
    params: query
  })
}

// 查询安全批文清单详细
export function getSafetyapproval(id) {
  return request({
    url: '/ehs/safetyapproval/' + id,
    method: 'get'
  })
}

// 新增安全批文清单
export function addSafetyapproval(data) {
  return request({
    url: '/ehs/safetyapproval',
    method: 'post',
    data: data
  })
}

// 修改安全批文清单
export function updateSafetyapproval(data) {
  return request({
    url: '/ehs/safetyapproval',
    method: 'put',
    data: data
  })
}

// 删除安全批文清单
export function delSafetyapproval(id) {
  return request({
    url: '/ehs/safetyapproval/' + id,
    method: 'delete'
  })
}

// 导出安全批文清单
export function exportSafetyapproval(query) {
  return request({
    url: '/ehs/safetyapproval/export',
    method: 'get',
    params: query
  })
}
